From 4525e14fcfeaaf526227e3addec67d0ce4632270 Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Sat, 28 May 2016 14:00:58 -0700
Subject: [PATCH 3/3] startx: Add support for enabling IGLX for XQuartz

https://bugs.freedesktop.org/show_bug.cgi?id=96260

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 startx.cpp | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/startx.cpp b/startx.cpp
index 92e5bad..dbc4cae 100644
--- a/startx.cpp
+++ b/startx.cpp
@@ -80,6 +80,10 @@ if ! defaults read $X11_PREFS_DOMAIN nolisten_tcp > /dev/null 2>&1 ; then
     defaults write $X11_PREFS_DOMAIN nolisten_tcp -bool true
 fi
 
+if ! defaults read $X11_PREFS_DOMAIN enable_iglx > /dev/null 2>&1 ; then
+    defaults write $X11_PREFS_DOMAIN enable_iglx -bool false
+fi
+
 XCOMM First, start caching fonts
 if [ x`defaults read $X11_PREFS_DOMAIN cache_fonts` = x1 ] ; then
     if [ -x $bindir/font_cache ] ; then
@@ -109,6 +113,12 @@ else
     defaultserverargs="$defaultserverargs -listen tcp"
 fi
 
+if [ x`defaults read $X11_PREFS_DOMAIN enable_iglx` = x1 ] ; then
+    defaultserverargs="$defaultserverargs +iglx"
+else
+    defaultserverargs="$defaultserverargs -iglx"
+fi
+
 XCOMM The second check is the real one.  The first is to hopefully avoid
 XCOMM needless syslog spamming.
 if defaults read $X11_PREFS_DOMAIN 2> /dev/null | grep -q 'dpi' && defaults read $X11_PREFS_DOMAIN dpi > /dev/null 2>&1 ; then
-- 
2.8.3

